%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname ppx_base

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Base set of ppx rewriters

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/ppx_base
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0

BuildRequires:  ocaml-ppx_cold-devel >= 0.17
BuildRequires:  ocaml-ppx_compare-devel >= 0.17
BuildRequires:  ocaml-ppx_enumerate-devel >= 0.17
BuildRequires:  ocaml-ppx_globalize-devel >= 0.17
BuildRequires:  ocaml-ppx_hash-devel >= 0.17
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0


%description
Ppx_base is the set of ppx rewriters used for Base.  Note that Base
doesn't need ppx to build; it is only used as a verification tool.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       ocaml-ppx_cold-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_enumerate-devel%{?_isa}
Requires:       ocaml-ppx_globalize-devel%{?_isa}
Requires:       ocaml-ppx_hash-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-sexplib0-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2192940
- new version: 0.17.0

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1895913
- Rebuild for new ocaml-base and ocaml-ppxlib

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1859405
- Rebuild for OCaml 4.14

* Tue May 17 2022 pterjan <pterjan> 1:0.15.0-0.mga9
+ Revision: 1858535
- Update to 0.15.0

* Wed Oct 13 2021 tv <tv> 1:0.14.0-5.mga9
+ Revision: 1751282
- Rebuild for ocaml 4.13.1

* Mon Mar 22 2021 tv <tv> 1:0.14.0-4.mga9
+ Revision: 1707468
- Fix devel deps

* Mon Mar 22 2021 tv <tv> 1:0.14.0-3.mga9
+ Revision: 1707205
- Fix devel deps

* Sun Mar 21 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1707187
- Fix missing deps in devel subpkg
- Improved description

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-6.mga8
+ Revision: 1670823
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-5.mga8
+ Revision: 1551932
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1545879
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-3.mga8
+ Revision: 1485336
- rebuild for new ocaml-stdio

* Tue Jan 28 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1484208
- add more runtime deps

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483907
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324787
- Update to 0.11.0

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-4.mga7
+ Revision: 1310501
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1241893
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193654
- Add missing explicit dependency

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193571
- imported package ocaml-ppx_base

